Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.instruct
Class InstructionDetails

    java.lang.Object
      net.sf.saxon.instruct.InstructionDetails

All Implemented Interfaces:
  InstructionInfo, InstructionInfoProvider, LocationProvider, org.xml.sax.Locator, SaxonLocator, java.io.Serializable, javax.xml.transform.SourceLocator

public final class InstructionDetails
extends java.lang.Object
implements InstructionInfo, InstructionInfoProvider, java.io.Serializable

Details about an instruction, used when reporting errors and when tracing

See Also:
  Serialized Form

Constructor Summary
`InstructionDetails()`

Method Summary
`int` | `getColumnNumber()` Get the column number identifying the position of the instruction.
`int` | `getConstructType()` Get the construct type
`InstructionInfo` | `getInstructionInfo()` Get the InstructionInfo details about the construct.
`int` | `getLineNumber()` Get the line number of the instruction within its module
`int` | `getLineNumber(int locationId)`
`NamespaceResolver` | `getNamespaceResolver()` Get the namespace resolver to supply the namespace context of the instruction that is being traced
`int` | `getObjectNameCode()` Get a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc.
`java.util.Iterator` | `getProperties()` Get an iterator over all the properties available.
`java.lang.Object` | `getProperty(java.lang.String name)` Get a named property of the instruction
`java.lang.String` | `getPublicId()` Get the public ID of the module containing the instruction.
`java.lang.String` | `getSystemId()` Get the URI of the module containing the instruction
`java.lang.String` | `getSystemId(int locationId)`
`void` | `setColumnNumber(int column)` Set the column number
`void` | `setConstructType(int type)` Set the type of construct
`void` | `setLineNumber(int lineNumber)` Set the line number of the instruction within the module
`void` | `setNamespaceResolver(NamespaceResolver resolver)` Set the namespace context for the instruction being traced.
`void` | `setObjectNameCode(int nameCode)` Set a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Set a named property of the instruction
`void` | `setSystemId(java.lang.String systemId)` Set the URI of the module containing the instruction

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstructionDetails

    public InstructionDetails()

Method Detail

### setConstructType

    public void setConstructType(int type)

  Set the type of construct

### getConstructType

    public int getConstructType()

  Get the construct type

  Specified by:
    `getConstructType` in interface `InstructionInfo`

### setNamespaceResolver

    public void setNamespaceResolver(NamespaceResolver resolver)

  Set the namespace context for the instruction being traced. This is needed if the tracelistener wants to evaluate XPath expressions in the context of the current instruction

### getNamespaceResolver

    public NamespaceResolver getNamespaceResolver()

  Get the namespace resolver to supply the namespace context of the instruction that is being traced

  Specified by:
    `getNamespaceResolver` in interface `InstructionInfo`

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Set the URI of the module containing the instruction

  Parameters:
    `systemId` - the module's URI

### getSystemId

    public java.lang.String getSystemId()

  Get the URI of the module containing the instruction

  Specified by:
    `getSystemId` in interface `InstructionInfo`
  Returns:
    the module's URI

### setLineNumber

    public void setLineNumber(int lineNumber)

  Set the line number of the instruction within the module

  Parameters:
    `lineNumber` - the line number

### getLineNumber

    public int getLineNumber()

  Get the line number of the instruction within its module

  Specified by:
    `getLineNumber` in interface `InstructionInfo`
  Returns:
    the line number

### setObjectNameCode

    public void setObjectNameCode(int nameCode)

  Set a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc. This is used only where the name is known statically.

### getObjectNameCode

    public int getObjectNameCode()

  Get a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc. This is used only where the name is known statically.

  Specified by:
    `getObjectNameCode` in interface `InstructionInfo`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Set a named property of the instruction

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Get a named property of the instruction

  Specified by:
    `getProperty` in interface `InstructionInfo`
  Parameters:
    `name` - The name of the required property
  Returns:
    The value of the requested property, or null if the property is not available

### getProperties

    public java.util.Iterator getProperties()

  Get an iterator over all the properties available. The values returned by the iterator will be of type String, and each string can be supplied as input to the getProperty() method to retrieve the value of the property.

  Specified by:
    `getProperties` in interface `InstructionInfo`

### getPublicId

    public java.lang.String getPublicId()

  Get the public ID of the module containing the instruction. This method is provided to satisfy the SourceLocator interface. However, the public ID is not maintained by Saxon, and the method always returns null

  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`
  Returns:
    null
  See Also:
    `Locator.getSystemId()`

### setColumnNumber

    public void setColumnNumber(int column)

  Set the column number

### getColumnNumber

    public int getColumnNumber()

  Get the column number identifying the position of the instruction.

  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`
  Returns:
    -1 if column number is not known
  See Also:
    `Locator.getLineNumber()`

### getInstructionInfo

    public InstructionInfo getInstructionInfo()

  Get the InstructionInfo details about the construct. This is to satisfy the InstructionInfoProvider interface.

  Specified by:
    `getInstructionInfo` in interface `InstructionInfoProvider`

### getSystemId

    public java.lang.String getSystemId(int locationId)

  Specified by:
    `getSystemId` in interface `LocationProvider`

### getLineNumber

    public int getLineNumber(int locationId)

  Specified by:
    `getLineNumber` in interface `LocationProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD